### Function

# RB PodcastManager add_post

#### Declaration [src]

    RhythmDBEntry*
    rb_podcast_manager_add_post (
      RhythmDB* db,
      gboolean search_result,
      RhythmDBEntry* entry,
      const char* name,
      const char* title,
      const char* subtitle,
      const char* channel_author,
      const char* item_author,
      const char* uri,
      const char* description,
      const char* guid,
      const char* img,
      gulong date,
      gint64 duration,
      gulong position,
      guint64 filesize
    )

#### Description

No description available.

#### Parameters

`db`

  Type: `RhythmDB`

  No description available.

  The data is owned by the caller of the function.

`search_result`

  Type: `gboolean`

  No description available.

`entry`

  Type: `RhythmDBEntry`

  No description available.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`subtitle`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`channel_author`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`item_author`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`guid`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`img`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`date`

  Type: `gulong`

  No description available.

`duration`

  Type: `gint64`

  No description available.

`position`

  Type: `gulong`

  No description available.

`filesize`

  Type: `guint64`

  No description available.

#### Return value

Type: `RhythmDBEntry`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.